summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorJonas Schürmann2015-09-19 12:49:13 +0200
committerJonas Schürmann2015-09-19 12:49:13 +0200
commitc614d9998bbea4760b56d20c7b2f6b007d95d87b (patch)
tree063125ec1ab01997783b7e93da9c362dab1c06cd /PKGBUILD
downloadaur-c614d9998bbea4760b56d20c7b2f6b007d95d87b.tar.gz
Migration from AUR3, various fixes
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD36
1 files changed, 36 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..5e80ecc2e79
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,36 @@
+# Maintainer: Jonas Schürmann <jonasschuermann@aol.de>
+# Contributor: Joshua Mendoza (joshua.mdza) <joshua.mdza@gmail.com>
+# Contributor: Niel West (Nielke) <nielkie@gmail.com>
+# Contributor: Bob_Sheep (Bob_Sheep) <bobsheep@gmail.com>
+# Contributor: jordi Cerdan (jcerdan) <jcerdan@tecob.com>
+
+pkgname=libunicap
+pkgver=0.9.12
+pkgrel=2
+pkgdesc="Provides a uniform API for all kinds of video capture devices"
+arch=('i686' 'x86_64')
+conflicts=('unicap')
+provides=('unicap')
+url="http://unicap-imaging.org"
+options=('!libtool')
+license=('GPL')
+depends=('libraw1394')
+makedepends=('pkgconfig intltool')
+source=("http://unicap-imaging.org/downloads/$pkgname-$pkgver.tar.gz" 'libunicap-0.9.12.patch')
+md5sums=('353657b4da519251d4cc6dee5a232391' '7295cf7c8e8604c46f3b187d46c6920b')
+
+prepare() {
+ cd $srcdir/$pkgname-$pkgver
+ patch -p1 < $startdir/$pkgname-$pkgver.patch
+}
+
+build() {
+ cd $srcdir/$pkgname-$pkgver
+ ./configure --prefix=/usr --enable-vid21394-visca || return 1
+ make || return 1
+}
+
+package() {
+ cd $srcdir/$pkgname-$pkgver
+ make DESTDIR=$pkgdir install || return 1
+}